www/go-minify - The NetBSD Packages Collection

Go minifiers for web formats

Minify is a minifier package written in Go. It provides HTML5,
CSS3, JS, JSON, SVG and XML minifiers and an interface to implement
any other minifier. Minification is the process of removing bytes
from a file (such as whitespace) without changing its output and
therefore shrinking its size and speeding up transmission over the
internet and possibly parsing. The implemented minifiers are designed
for high performance.

The core functionality associates mimetypes with minification
functions, allowing embedded resources (like CSS or JS within HTML
files) to be minified as well. Users can add new implementations
that are triggered based on a mimetype (or pattern), or redirect
to an external command (like ClosureCompiler, UglifyCSS, ...).

Build dependencies

lang/go115 www/go-parse devel/go-humanize devel/go-fsnotify devel/go-try devel/go-pflag devel/go-sys pkgtools/cwrappers

Runtime dependencies

(none)

Available binary packages

aarch64:go-minify-2.7.3nb5.tgz(NetBSD 9.0)
aarch64:go-minify-2.7.3nb8.tgz(NetBSD 9.0)
earmv7hf:go-minify-2.7.3nb8.tgz(NetBSD 8.0)
earmv7hf:go-minify-2.7.3nb2.tgz(NetBSD 8.0)
earmv7hf:go-minify-2.7.3nb5.tgz(NetBSD 8.0)
earmv7hf:go-minify-2.7.3nb8.tgz(NetBSD 9.0)
earmv7hf:go-minify-2.7.3nb2.tgz(NetBSD 9.0)
earmv7hf:go-minify-2.7.3nb5.tgz(NetBSD 9.0)
i386:go-minify-2.7.3nb2.tgz(NetBSD 8.0)
i386:go-minify-2.7.3nb5.tgz(NetBSD 8.0)
i386:go-minify-2.7.3nb8.tgz(NetBSD 8.0)
i386:go-minify-2.7.3nb2.tgz(NetBSD 9.0)
i386:go-minify-2.7.3nb5.tgz(NetBSD 9.0)
i386:go-minify-2.7.3nb8.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb8.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb8.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb9.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb5.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb5.tgz(NetBSD 8.0)
x86_64:go-minify-2.7.3nb2.tgz(NetBSD 8.0)
x86_64:go-minify-2.7.3nb2.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb5.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb8.tgz(NetBSD 9.0)
x86_64:go-minify-2.7.3nb9.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]